package com.sf._02_arrays._02_search;

import java.util.Arrays;

public class Test {

    public static void main(String[] args) {
        /**
         *
         * `static int binarySearch(数组, 目标元素)`
         * 可以帮我们查询有序数组当中元素内容
         * 需求:
         *  有一个数组Integer [2,1,3,5,6,4]
         *  想要查询5元素锁在位置 ,要利用arrays api 去完成
         */
//        Integer[] arr = {2,1,3,5,6,4};
//        // 先排序变成有序数组
//        Arrays.sort(arr);
//        System.out.println(Arrays.binarySearch(arr, new Integer(5)));

        /**
         * 需求: Student(name,age,score);
         * 定义学生数组
         * 往学生数组中添加3 个学生Student(zhangsan,10,100) ,(lisi,10,90),(wangwu,10,91)
         * 王五在班级排第几名
         */
        Student[] students = {
                new Student("zhangsan",10,100.0),
                new Student("lisi",10,90.0),
                new Student("wangwu",10,91.0)
        };
        // 进行排序,按照成绩进行降序排序
        Arrays.sort(students);
        // 在进行查找
        System.out.println(Arrays.binarySearch(students, new Student("wangwu", 10, 91.0)));



    }
}
